Package org.eclipse.birt.chart.model.attribute

# Enum HorizontalAlignment

java.lang.Object
java.lang.Enum<HorizontalAlignment>
org.eclipse.birt.chart.model.attribute.HorizontalAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<HorizontalAlignment>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum HorizontalAlignment extends Enum<HorizontalAlignment> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Horizontal Alignment', and utility methods for working with them. This type defines the allowed values for Horizontal Text alignment.

See Also:
  - `AttributePackage.getHorizontalAlignment()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTER_LITERAL`
The 'Center' literal object.
`LEFT_LITERAL`
The 'Left' literal object.
`RIGHT_LITERAL`
The 'Right' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CENTER`
The 'Center' literal value.
`static final int`
`LEFT`
The 'Left' literal value.
`static final int`
`RIGHT`
The 'Right' literal value.
`static final List<HorizontalAlignment>`
`VALUES`
A public read-only list of all the 'Horizontal Alignment' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static HorizontalAlignment`
`get(int value)`
Returns the 'Horizontal Alignment' literal with the specified integer value.
`static HorizontalAlignment`
`get(String literal)`
Returns the 'Horizontal Alignment' literal with the specified literal value.
`static HorizontalAlignment`
`getByName(String name)`
Returns the 'Horizontal Alignment' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static HorizontalAlignment`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HorizontalAlignment[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT_LITERAL

public static final HorizontalAlignment LEFT_LITERAL
The 'Left' literal object.

If the meaning of 'Left' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LEFT`

### CENTER_LITERAL

public static final HorizontalAlignment CENTER_LITERAL
The 'Center' literal object.

If the meaning of 'Center' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CENTER`

### RIGHT_LITERAL

public static final HorizontalAlignment RIGHT_LITERAL
The 'Right' literal object.

If the meaning of 'Right' literal object isn't clear, there really should be more of a description here...

See Also:
  - `RIGHT`

## Field Details

### LEFT

public static final int LEFT
The 'Left' literal value.

See Also:
  - `LEFT_LITERAL`
  - Constant Field Values

### CENTER

public static final int CENTER
The 'Center' literal value.

See Also:
  - `CENTER_LITERAL`
  - Constant Field Values

### RIGHT

public static final int RIGHT
The 'Right' literal value.

See Also:
  - `RIGHT_LITERAL`
  - Constant Field Values

### VALUES

public static final List<HorizontalAlignment> VALUES
A public read-only list of all the 'Horizontal Alignment' enumerators.

## Method Details

### values

public static HorizontalAlignment[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HorizontalAlignment valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static HorizontalAlignment get(String literal)
Returns the 'Horizontal Alignment' literal with the specified literal value.

### getByName

public static HorizontalAlignment getByName(String name)
Returns the 'Horizontal Alignment' literal with the specified name.

### get

public static HorizontalAlignment get(int value)
Returns the 'Horizontal Alignment' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<HorizontalAlignment>`